package com.college

import com.college.UserService.Users
import io.ktor.http.*
import io.ktor.resources.*
import io.ktor.serialization.kotlinx.json.*
import io.ktor.server.application.*
import io.ktor.server.plugins.contentnegotiation.*
import io.ktor.server.plugins.swagger.*
import io.ktor.server.request.*
import io.ktor.server.resources.*
import io.ktor.server.response.*
import io.ktor.server.routing.*
import kotlinx.serialization.Serializable
import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.transactions.transaction

fun Application.configureDatabases() {
    val database = Database.connect(
        url = environment.config.property("ktor.db.url").getString(),
        user = environment.config.property("ktor.db.user").getString(),
        password = environment.config.property("ktor.db.password").getString(),
    )
    transaction(database) {
        SchemaUtils.create(Users)
    }
}
